set error10=0

rem This batch file does an errorlevel check for VirusScan.  It will
rem not install the product unless all checks are passed.  If an
rem error is encounterred during the scan, it will be reported.

cls
@echo off
echo.
ECHO ANALIZANDO la memoria y las unidades locales antes de INSTALAR,
ECHO por favor espere...
echo.

set error10=0


SCAN /ADL /NOBREAK

:DoErrors
if errorlevel 100 goto error100
if errorlevel 19 goto error19
if errorlevel 18 goto error18
if errorlevel 17 goto error17
if errorlevel 16 goto error16
if errorlevel 15 goto error15
if errorlevel 14 goto error14
if errorlevel 13 goto error13
if errorlevel 12 goto error12
if errorlevel 11 goto error11
if errorlevel 10 goto error10
if errorlevel 9 goto error9
if errorlevel 8 goto error8
if errorlevel 7 goto error7
if errorlevel 6 goto error6
if errorlevel 5 goto error5
if errorlevel 4 goto error4
if errorlevel 3 goto error3
if errorlevel 2 goto error2
if errorlevel 1 goto error1
if errorlevel 0 goto install

echo.
ECHO Se ha producido un error. Consulte el manual de VirusScan  para 
ECHO obtener ms detalles o pngase en contacto McAfee.
goto end

:install
if exist inst.exe goto DiskOk
goto install
:DiskOk
inst
goto end

:error100
echo.
echo ***  WARNING  ***                 ***  OPERATING SYSTEM ERROR  ***
echo ***  ERROR # 100
echo.
echo Se ha producido un error en DOS. Consulte el manual de DOS para 
echo obtener ms detalles o pngase en contacto con su distribuidor.
pause
goto end

:error19
echo.
echo ***  WARNING  ***                               ***  RESERVED  ***
echo ***  ERROR # 19
echo.
echo Consulte el manual de VirusScan para obtener ms detalles o pngase 
echo en contacto McAfee.
pause
goto end

:error18
echo.
echo ***  WARNING  ***                             ***  FILE ERROR  ***
echo ***  ERROR # 18
echo.
ECHO Se ha originado un problema en el programa VirusScan. Las causas
ECHO podrian ser un archivo danado, poca memoria o un conflicto con
ECHO un elemento del hardware. Tambien es posible que haya un virus
ECHO activo y que interfiera con el programa. Vuelva a arrancar en
ECHO frio el sistema con este disco y realice el anlisis de nuevo.
ECHO Si el problema persiste, consulte el manual para averiguar cmo
ECHO conseguir una nueva copia de este disco.
pause
goto end

:error17
echo.
echo ***  WARNING  ***                          ***  COMMAND ERROR  ***
echo *** ERROR # 17
echo.
ECHO Scan ha indicado que no hay ningun objetivo especificado para
ECHO realizar el anlisis. Puede deberse a un virus cifrado o a un
ECHO elemento del hardware. Se realizar otro anlisis para solucionar
ECHO esta situacin. Espere unos instantes, por favor.
pause
goto end

:error16
echo.
echo ***  WARNING  ***                           ***  ACCESS ERROR  ***
echo ***  ERROR # 16
echo.
ECHO Se ha producido un error en DOS. Consulte el manual de DOS para 
ECHO obtener ms detalles o pngase en contacto McAfee.
pause
goto end

:error15
echo.
echo ***  WARNING  ***                      ***  SELF-CHECK FAILED  ***
echo ***  ERROR # 15
echo.
ECHO La autocomprobacin ha fallado. Puede deberse a un archivo 
ECHO SCAN.EXE modificado o danado o a un problema con la unidad de 
ECHO disquete. Primero, ejecute VALIDATE SCAN.EXE desde A:> y compare
ECHO el cdigo de validacin con el cdigo del archivo PACKING.LST.
ECHO Este archivo aparecer al salir del programa.
pause
goto end

:error14
echo.
echo ***  WARNING  ***                        ***  DATA FILE ERROR  ***
echo ***  ERROR # 14
echo.
ECHO Los archivos de datos de virus son antiguos y deberia actualizar-
ECHO los. No es un problema grave. Sin embargo, hay muchos virus en
ECHO el sistema que esta versin de software no puede detectar.
ECHO Al actualizar el software, consigue la mayor proteccin posible.
ECHO Consulte el manual para obtener informacin sobre actualizaciones.
pause
goto end

:error13
echo.
echo ***  AVISO  ***                ***  SE HA ENCONTRADO VIRUS  ***
echo ***  ERROR # 13
echo.
echo Uno o ms virus se han encontrado en el registro de arranque maestro,
echo sector de arranque o fichero(s). Por favor,consulte la documentacin 
echo o contacte con soporte t,cnico de McAfee para asistencia.
echo 
pause
goto end

:error12
echo.
echo ***  WARNING  ***                            ***  VIRUS FOUND  ***
echo ***  ERROR # 12
echo.
ECHO Se han detectado uno o ms virus en este ordenador. El programa
ECHO ha limpiado automticamente la mayoria de los virus. Se reco-
ECHO mienda que arranque en frio el sistema con este disco y que rea-
ECHO lice otro anlisis para comprobar que el ordenador est limpio
ECHO y que no quedan virus sin limpiar o sin detectar.
pause
goto end

:error11
echo.
echo ***  WARNING  ***                           *** PROGRAM ERROR  *** 
echo *** ERROR # 11
echo.
ECHO Se ha originado un problema en el programa VirusScan. Las causas
ECHO podrian ser un archivo danado, poca memoria o un conflicto con
ECHO un elemento del hardware. Tambien es posible que haya un virus
ECHO activo y que interfiera con el programa. Vuelva a arrancar en
ECHO frio el sistema con este disco y realice el anlisis de nuevo.
ECHO Si el problema persiste, consulte el manual para averiguar cmo
ECHO conseguir una nueva copia de este disco.
pause
goto end

:error10
echo.
echo ***  WARNING  ***                            ***  VIRUS FOUND  ***
echo ***  ERROR # 10
echo.
ECHO Se ha detectado la identificacin de un virus en memoria al rea-
ECHO lizar el anlsis de la misma. No es probable que este disco este
ECHO infectado, siempre que no se haya alterado la etiqueta de
ECHO proteccin contra escritura del disco. Hay otras posibilidades.
ECHO compruebe la secuencia de arranque en CMOS. Consulte la documen-
ECHO tacin del hardware que acompana a su sistema para acceder a
ECHO esta seccin. Asegurese de que la secuencia es primero A: y
ECHO despues C:.
ECHO .
pause
goto end

:error9
echo.
echo ***  WARNING  ***                           ***  OPTION ERROR  ***                        
echo ***  ERROR # 9
echo.
ECHO Scan ha indicado que no hay ningun objetivo especificado para
ECHO realizar el anlisis. Puede deberse a un virus cifrado o a un
ECHO elemento del hardware. Se realizar otro anlisis para solucionar
ECHO esta situacin. Espere unos instantes, por favor.
pause
goto end

:error8
echo.
echo ***  WARNING  ***                     ***  MISSING FILE ERROR  ***
echo ***  ERROR # 8
echo.
ECHO Faltan uno o ms de estos archivos:  SCAN.DAT, NAMES.DAT. Es 
ECHO problable que se haya modificado este disquete. Vuelva a arrancar
ECHO en frio el sistema con este disco y realice el anlisis de nuevo.
ECHO Si el problema persiste, consulte el manual para averiguar cmo
ECHO conseguir una nueva copia de este disco.
pause
goto end

:error7
echo.
echo ***  WARNING  ***                     ***  MESSAGE FILE ERROR  ***
echo ***  ERROR # 7
echo.
ECHO Se ha originado un problema en el programa VirusScan. Las causas
ECHO podrian ser un archivo danado, poca memoria o un conflicto con
ECHO un elemento del hardware. Tambien es posible que haya un virus
ECHO activo y que interfiera con el programa. Vuelva a arrancar en
ECHO frio el sistema con este disco y realice el anlisis de nuevo.
ECHO Si el problema persiste, consulte el manual para averiguar cmo
ECHO conseguir una nueva copia de este disco.
pause
goto end

:error6
echo.
echo ***  WARNING  ***                          ***  PROGRAM ERROR  ***
echo *** ERROR # 6
echo.
ECHO Se ha originado un problema en el programa VirusScan. Las causas
ECHO podrian ser un archivo danado, poca memoria o un conflicto con
ECHO un elemento del hardware. Tambien es posible que haya un virus
ECHO activo y que interfiera con el programa. Vuelva a arrancar en
ECHO frio el sistema con este disco y realice el anlisis de nuevo.
ECHO Si el problema persiste, consulte el manual para averiguar cmo
ECHO conseguir una nueva copia de este disco.
pause
goto end

:error5
echo.
echo ***  WARNING  ***              ***  INSUFFICIENT MEMORY ERROR  ***
echo ***  ERROR # 5
echo.
ECHO Se ha originado un problema en el programa VirusScan. Las causas
ECHO podrian ser un archivo danado, poca memoria o un conflicto con
ECHO un elemento del hardware. Tambien es posible que haya un virus
ECHO activo y que interfiera con el programa. Vuelva a arrancar en
ECHO frio el sistema con este disco y realice el anlisis de nuevo.
ECHO Si el problema persiste, consulte el manual para averiguar cmo
ECHO conseguir una nueva copia de este disco.
pause
goto end

:error4
echo.
echo ***  WARNING  ***                     ***  DAMAGED FILE ERROR  ***
echo *** ERROR # 4
echo.
ECHO La autocomprobacin ha fallado. Puede deberse a un archivo 
ECHO SCAN.EXE modificado o danado o a un problema con la unidad de 
ECHO disquete. Primero, ejecute VALIDATE SCAN.EXE desde A:> y compare
ECHO el cdigo de validacin con el cdigo del archivo PACKING.LST.
ECHO Este archivo aparecer al salir del programa.
pause
goto end

:error3
echo.
echo ***  WARNING  ***                      ***  DISK ACCESS ERROR  ***
echo *** ERROR # 3
echo.
ECHO Se ha producido un error al intentar acceder a una de las unida-
ECHO des locales. Reinice el sistema con este disquete en la unidad A: 
ECHO e intente realizar el proceso de nuevo. Si el error continua,
ECHO ser necesario ejecutar algun programa de diagnstico de discos
ECHO en la unidad antes de realizar el proceso de eliminacin.
pause
goto end

:error2
echo.
echo ***  WARNING  ***                     ***  CORRUPT FILE ERROR  ***
echo ***  ERROR # 2
echo.
ECHO Faltan uno o ms de estos archivos:  SCAN.DAT, NAMES.DAT. Es 
ECHO problable que se haya modificado este disquete. Vuelva a arrancar
ECHO en frio el sistema con este disco y realice el anlisis de nuevo.
ECHO Si el problema persiste, consulte el manual para averiguar cmo
ECHO conseguir una nueva copia de este disco.
pause
goto end

:error1
echo.
echo ***  WARNING  ***                      ***  FILE ACCESS ERROR  ***
echo ***  ERROR # 1
echo.
ECHO Se ha producido un error al intentar acceder a una de las unida-
ECHO des locales. Reinice el sistema con este disquete en la unidad A: 
ECHO e intente realizar el proceso de nuevo. Si el error continua,
ECHO ser necesario ejecutar algun programa de diagnstico de discos
ECHO en la unidad antes de realizar el proceso de eliminacin.
pause

:end

